> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all API keys for an app
POST /api/apps/:app_id/keys/list



## OpenAPI

````yaml /openapi.yaml post /api/apps/{app_id}/keys/list
openapi: 3.1.0
info:
  title: OnDB API
  description: Monetize anything
  license:
    name: ''
  version: 4.0.0
servers: []
security: []
tags:
  - name: Health
    description: Health check and system status
  - name: Applications
    description: Application management
  - name: Billing
    description: Billing information and usage
  - name: Pricing
    description: Pricing information and quotes
  - name: X402 Payment Protocol
    description: Payment verification and settlement
  - name: Data Storage
    description: Store data to Celestia blockchain
  - name: Data Query
    description: Query and retrieve data
  - name: Collections
    description: Collection management
  - name: Indexes
    description: Index management and relations
  - name: Retention
    description: Data retention policies
  - name: Materialized Views
    description: Materialized view management
  - name: Predefined Queries
    description: Create and execute predefined queries
  - name: View Query
    description: Query materialized view data
  - name: Wallet
    description: App wallet management
  - name: Tasks
    description: Task tracking and status
  - name: Transactions
    description: Transaction status
  - name: Authorization
    description: Authorization grant management
  - name: API Keys
    description: API key management
  - name: Encryption
    description: Encryption settings and configuration
  - name: Payout
    description: Payout settings and history
  - name: API Collections
    description: API collection management
paths:
  /api/apps/{app_id}/keys/list:
    post:
      tags:
        - API Keys
      summary: |-
        List all API keys for an app
        POST /api/apps/:app_id/keys/list
      operationId: list_app_keys_endpoint
      parameters:
        - name: app_id
          in: path
          description: Application ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List of app API keys
          content:
            application/json:
              schema: {}
        '401':
          description: Unauthorized
        '404':
          description: App not found
        '500':
          description: Internal server error
      security:
        - api_key: []
components: {}

````